Last modified: 2012-08-04 20:48:37 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35927 - update.php throws "Call to undefined method DatabasePostgres::realTableName()"
update.php throws "Call to undefined method DatabasePostgres::realTableName()"
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
1.20.x
All All
: Unprioritized blocker (vote)
: ---
Assigned To: Marcin Cieślak
:
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2012-04-12 20:36 UTC by Tim Landscheidt
Modified: 2012-08-04 20:48 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Tim Landscheidt 2012-04-12 20:36:49 UTC
With 5adb095c71a71bf792bb5393f4ab144aa39af3e9, "php maintenance/update.php" gives:

| [tim@passepartout ~/public_html/w]$ php maintenance/update.php 
| MediaWiki 1.20alpha Updater

| Going to run database updates for tim
| Depending on the size of your database this may take a while!
| Abort with control-c in the next five seconds (skip this countdown with --quick) ... 0
| Renaming table user to mwuser
| PHP Fatal error:  Call to undefined method DatabasePostgres::realTableName() in /home/tim/public_html/w/includes/installer/PostgresUpdater.php on line 504
| [tim@passepartout ~/public_html/w]$
Comment 1 Alexandre Emsenhuber [IAlex] 2012-04-13 16:18:01 UTC
Assigning to Marcin Cieślak since he made Gerrit change #3962 which removed DatabasePostgres::realTableName().
Comment 2 Tim Landscheidt 2012-04-13 17:09:53 UTC
(In reply to comment #1)
> Assigning to Marcin Cieślak since he made Gerrit change #3962 which removed
> DatabasePostgres::realTableName().

Don't you mean Gerrit change #3365?  Quoting Brion from there:

| Going ahead and taking this -- please let us know if there are any PG-related errors after, as tests don't run PG yet.

Why?  Didn't Antoine set up a test suite recently?
Comment 3 Alexandre Emsenhuber [IAlex] 2012-04-13 17:44:32 UTC
You are right, Gerrit change #3365 is the correct one.
Comment 4 Marcin Cieślak 2012-04-13 18:26:14 UTC
Sorry for trouble - if you look closer it's not me who did the change 3962 :)

Patchset 1 was OK, patchset 2 is a broken merge (with this function and other stuff removed). Unfortunately, it got merged before I could comment on this.

Gerrit change #4672 fixes everything but is currently awaiting "review".
Comment 5 Marcin Cieślak 2012-04-13 19:03:53 UTC
Gerrit change #4672 got merged into master. Sorry for trouble.
Comment 6 Tim Landscheidt 2012-04-13 19:53:57 UTC
Thanks, that was prompt :-).  When the bug no longer showed up in "My Bugs", at first I suspected an error in Bugzilla :-).

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links